it-swarm.com.de

Gibt es ein globales Menü für das XFCE-Panel?

Es wäre sehr nützlich und ich denke darüber nach, wegen der Geschwindigkeit auf XFCE umzusteigen.

11
John

Diese Anleitung funktioniert in 11.10 und früher

Nein und Ja. Es gibt derzeit keine, die nur für xfce unterstützt wird und funktioniert (eine alte ist vorhanden, wird aber weiter unten beschrieben). Sie können jedoch das "xfce-xfapplet-plugin" xfce-plugin (in synaptic aufgelistet) verwenden, um das "gnome-applet-globalmenu" oder das "indicator-applet-appmenu" in das xfce-Bedienfeld einzufügen.

Siehe meine Antwort unter dem folgenden Link, um das "Gnome-Applet-Global-Menü" zu Ihrem Setup hinzuzufügen. Die Anweisungen gelten für das Gnome-Bedienfeld, aber wenn Sie das oben erwähnte Plugin verwenden, können Sie das "Gnome-Applet-Global-Menü" zu Ihrem xfce-Bedienfeld hinzufügen. Es ist ein bisschen schuppig. Ich fand, dass das "Anzeige-Applet-App-Menü" mit xfce besser funktioniert, während das "Gnome-Applet-Global-Menü" mit dem Gnome-Panel besser funktioniert. Ihr Kilometerstand kann variieren.

Global - Menü Applet auf Einzelgänger

Das im Link erwähnte ppa fügt auch eine synaptische Auflistung für ein "xfce4-global-menu applet" hinzu, funktioniert aber NICHT und wird laut README nicht mehr unterstützt.

Hier ist ein Screenshot davon in Aktion (ja, ich mag einen Mac-Look): xfce with "indicator-applet-appmenu" in panel

3
Mark

Eine andere Person hat einen privaten Code, um den indicator-appmenu für Xubuntu 11.10 Oneiric Ocelot zum Laufen zu bringen. Ich bin mir nicht sicher, ob ich dem Code von ~ koshi oder aaronlewis1989 noch vertraue.

Hier ist auf jeden Fall ein Link, den ich gefunden habe: OMG! XFCE Global Menu [Oneiric Only]

2
user31034

Diese Antwort gilt für Ubuntu 14.04, 14.10 oder 15.04 und seine Varianten (wie Linux Mint 17. *)

Es gibt ein globales Menü-Plugin/System namens TopMen , das auf Xfce und MATE funktioniert. Vorkompilierte Pakete und Anweisungen finden Sie unter Web Upd8 .

Es gibt jedoch Einschränkungen. Es funktioniert nicht mit Java -Anwendungen, Chrom (e | ium) oder LibreOffice. Es gibt auch grafische Probleme mit den meisten Xfce-Themen. Die einzigen bekannten kompatiblen Xfce-Designs sind Numix und das Standard-Linux-Mint-Design.

1
NullNoname

Es gab kürzlich ein Nizza Tutorial dazu.

0
joschi